#
# spec file for package nodejs-request
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name request

Name:           nodejs-request
Version:        2.60.0
Release:        16.1
Summary:        Simplified HTTP request client
License:        Apache-2.0
Group:          Development/Languages/Other
Url:            https://github.com/request/request
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
Request is designed to be the simplest way possible to make http calls. It supports HTTPS and follows redirects by default. 

%prep
%setup -q  -n package
chmod 0644 index.js
%nodejs_fixdep form-data '<=1.0.0'

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr package.json request.js index.js lib \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/

%files
%defattr(-,root,root,-)
%doc README.md LICENSE CHANGELOG.md CONTRIBUTING.md
%{nodejs_modulesdir}/%{base_name}

%changelog
* Thu Jul 30 2015 i@marguerite.su
- fix form-data dependency error
  * it has version 1.0.0-rc3, both rpm and nodejs-packaging
    can not recognize it
* Wed Jul 29 2015 i@marguerite.su
- update version 2.60.0
* Fri Jul 10 2015 lars@linux-schulserver.de
- update to 2.58.1
* Sat Jun 27 2015 i@marguerite.su
- update version 2.57.0
* Fri Apr 24 2015 hvogel@suse.com
- Update to version 2.55.0
- drop request-deps.diff, not needed anymore
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Fri Oct 10 2014 jgleissner@suse.com
- request-deps.diff:
  * be also less strict about version number of mime-types
* Fri Oct 10 2014 jgleissner@suse.com
- add patch: request-deps.diff
  * be less strict about version number of required module 'qs'
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Mon Sep 22 2014 i@marguerite.su
- update version 2.44.0
* Mon Aug 18 2014 jgleissner@suse.com
- Initial build
